# $Revision: 1.20 $, $Date: 2005/05/17 12:13:47 $
#
# TODO:
# - separate clent, server and map edit subpackages,
# - maybe move all xpilot desktop files to Games/Arcade/XPilot ?
#
Summary:	An X Window System based multiplayer aerial combat game
Summary(es):	Juego de vuelo en estilo arcade
Summary(pl):	Gra sieciowa symulujca walki powietrzne
Summary(pt_BR):	Jogo de vo no estilo arcade
Name:		xpilot
Version:	4.5.4
Release:	4
License:	GPL
Group:		X11/Applications/Games
Source0:	ftp://ftp.xpilot.org/pub/%{name}-%{version}.tar.gz
# Source0-md5:	f2774fda5938629001ed65a311554c01
Source1:	%{name}.png
Source2:	%{name}.desktop
Source3:	%{name}-server.desktop
Source4:	%{name}-mapedit.desktop
Patch0:		%{name}-config.patch
URL:		http://www.xpilot.org/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xpilot is an X Window System based multiplayer game of aerial combat.
The object of the game is to shoot each other down, or you can use the
race mode to just fly around. Xpilot resembles the Commodore 64 Thrust
game, which is similar to Atari's Gravitar and Asteriods (note: this
is not misspelled). Unless you already have an xpilot server on your
network, you'll need to set up the server on one machine, and then set
up xpilot clients on all of the players' machines.

%description -l es
xpilot es un juego de acin que permite diversos jugadores en red.
Esto le hace ptimo para horas de diversin. El objetivo bsico del
juego es volar y matar - Hace falta decir algo ms?

%description -l pl
Xpilot jest gr sieciow dla wielu uytkownikw symulujc walki
powietrzne. Celem gry jest zestrzeli przeciwnika lub rekreacyjne
latanie podczas gry w trybie ,,wycieczki''.

%description -l pt_BR
xpilot  um jogo de ao que permite diversos jogadores em rede. Isto
torna-o timo para horas de diverso. O objetivo bsico do jogo  voar
e matar - precisa dizer mais?

%prep
%setup -q
%patch0 -p1

%build
xmkmf -a
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	PREFIX=/usr \
	INSTLIBDIR=%{_datadir}/%{name} \
	INSTBINDIR=%{_bindir} \
	INSTMANDIR=%{_mandir}/man6

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=/usr \
	INSTLIBDIR=%{_datadir}/%{name} \
	INSTBINDIR=%{_bindir} \
	INSTMANDIR=%{_mandir}/man6

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt doc/{TODO,README*,C*}
%attr(755,root,root) %{_bindir}/*
%{_datadir}/xpilot
%{_mandir}/man?/*
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpilot.spec,v $
Revision 1.20  2005/05/17 12:13:47  ankry
- rel. 4 to rebuild with fixed desktop

Revision 1.19  2004/11/03 10:52:08  paladine
- rel 3 for fixed desktop files

Revision 1.18  2003/07/16 15:06:03  qboosh
- use _mandir macro

Revision 1.17  2003/07/16 15:00:55  radzio
- move from /usr/X11R6 to /usr
- use %%{_desktopdir} instead of %%{_applnkdir}
- update .desktop files

Revision 1.16  2003/05/28 13:03:12  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:28:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.13  2002/11/17 01:17:50  ankry
- desktop file converted to UTF8, cleaning - release 2

Revision 1.12  2002/10/30 20:12:51  kloczek
- updated to 4.5.4,
- updated URL and Source url,
- new png icon for desktop file,
- added desktop files for map editor and game server,
- merge translations from Conectiva,
- use proper CC,
- updated %files nad use new %doc.
TODO:
- separate clent, server and map edit subpackages,
- maybe move all xpilot desktop files to Games/Arcade/XPilot (?)

Revision 1.11  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:08  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/09/18 10:41:07  blues
- typo

Revision 1.7  2001/04/22 15:02:45  misiek
- updated to 4.3.1
- pl description and summary
- release 1

Revision 1.6  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.5  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:28  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- add sparc
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- made exlusivearch to i386

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
